Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/browser/pdf.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/browser/pdf.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/browser/pdf.py	(revision 14310)
@@ -23,5 +23,5 @@
 from waeup.ikoba.browser.pdf import PDFCreator
 
-class SkeletonPDFCreator(PDFCreator):
+class AAUEPDFCreator(PDFCreator):
     """A utility to help with generating PDF docs.
     """
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/configure.zcml
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/configure.zcml	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/configure.zcml	(revision 14310)
@@ -6,5 +6,5 @@
   -->
   <include package="waeup.ikoba" />
-  <include package="ikobacustom.skeleton" file="locales.zcml" />
+  <include package="ikobacustom.aaue" file="locales.zcml" />
   <grok:grok package="." />
 
@@ -14,5 +14,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="ikobacustom.skeleton.widgets.phonewidget.NigeriaPhoneWidget"
+      factory="ikobacustom.aaue.widgets.phonewidget.NigeriaPhoneWidget"
       permission="zope.Public"
       />
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/batching.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/batching.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/batching.py	(revision 14310)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for aaue documents.
 """
 import grok
@@ -22,35 +22,35 @@
     CustomerProcessor,
     CustomerDocumentProcessorBase, ContractProcessorBase)
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonCustomer,
-    ISkeletonCustomerDocument, ISkeletonContract)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.customers.interfaces import (
+    IAAUECustomer,
+    IAAUECustomerDocument, IAAUEContract)
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonCustomerProcessor(CustomerProcessor):
+class AAUECustomerProcessor(CustomerProcessor):
     """A batch processor for ICustomer objects.
     """
-    util_name = 'skeletoncustomerprocessor'
+    util_name = 'aauecustomerprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Processor')
-    iface = ISkeletonCustomer
+    name = _('AAUE Customer Processor')
+    iface = IAAUECustomer
 
 
-class SkeletonCustomerDocumentProcessor(CustomerDocumentProcessorBase):
-    """A batch processor for ISkeletonCustomerDocument objects.
+class AAUECustomerDocumentProcessor(CustomerDocumentProcessorBase):
+    """A batch processor for IAAUECustomerDocument objects.
     """
-    util_name = 'skeletoncustomerdocumentprocessor'
+    util_name = 'aauecustomerdocumentprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Document Processor')
-    iface = ISkeletonCustomerDocument
-    factory_name = 'waeup.SkeletonCustomerDocument'
+    name = _('AAUE Customer Document Processor')
+    iface = IAAUECustomerDocument
+    factory_name = 'waeup.AAUECustomerDocument'
 
 
-class SkeletonContractProcessor(ContractProcessorBase):
-    """A batch processor for ISkeletonContract objects.
+class AAUEContractProcessor(ContractProcessorBase):
+    """A batch processor for IAAUEContract objects.
     """
-    util_name = 'skeletoncontractprocessor'
+    util_name = 'aauecontractprocessor'
     grok.name(util_name)
-    name = _('Skeleton Customer Contract Processor')
-    iface = ISkeletonContract
-    factory_name = 'waeup.SkeletonContract'
+    name = _('AAUE Customer Contract Processor')
+    iface = IAAUEContract
+    factory_name = 'waeup.AAUEContract'
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/browser.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/browser.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/browser.py	(revision 14310)
@@ -21,5 +21,5 @@
 from waeup.ikoba.customers.browser import (
     PDFContractSlip, CustomerBaseEditFormPage)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 class PDFContractSlip(PDFContractSlip):
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/contracts.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/contracts.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/contracts.py	(revision 14310)
@@ -26,45 +26,45 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.contracts import ContractBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonContract, ISkeletonContractEdit, ISkeletonContractProcess,
-    ISkeletonContractOfficialUse)
+from ikobacustom.aaue.interfaces import MessageFactory as _
+from ikobacustom.aaue.customers.interfaces import (
+    IAAUEContract, IAAUEContractEdit, IAAUEContractProcess,
+    IAAUEContractOfficialUse)
 
 
-class SkeletonContract(ContractBase):
+class AAUEContract(ContractBase):
     """This is a sample contract.
     """
 
     grok.implements(
-        ISkeletonContractProcess,
-        ISkeletonContract,
-        ISkeletonContractEdit,
+        IAAUEContractProcess,
+        IAAUEContract,
+        IAAUEContractEdit,
         ICustomerNavigation)
 
     contract_category = 'sample'
 
-    form_fields_interface = ISkeletonContract
+    form_fields_interface = IAAUEContract
 
-    edit_form_fields_interface = ISkeletonContractEdit
+    edit_form_fields_interface = IAAUEContractEdit
 
-    ou_form_fields_interface = ISkeletonContractOfficialUse
+    ou_form_fields_interface = IAAUEContractOfficialUse
 
-    check_docs_interface = ISkeletonContract
+    check_docs_interface = IAAUEContract
 
-SkeletonContract = attrs_to_fields(SkeletonContract)
+AAUEContract = attrs_to_fields(AAUEContract)
 
 
 # Contracts must be importable. So we might need a factory.
-class SkeletonContractFactory(grok.GlobalUtility):
+class AAUEContractFactory(grok.GlobalUtility):
     """A factory for contracts.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonContract')
+    grok.name(u'waeup.AAUEContract')
     title = u"Create a new contract.",
     description = u"This factory instantiates new sample contract instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonContract(*args, **kw)
+        return AAUEContract(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonContract)
+        return implementedBy(AAUEContract)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/customer.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/customer.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/customer.py	(revision 14310)
@@ -25,31 +25,31 @@
 from waeup.ikoba.customers.customer import Customer
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.customers.interfaces import IAAUECustomer
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonCustomer(Customer):
+class AAUECustomer(Customer):
     """This is a customer container for the various objects
     owned by customers.
     """
-    grok.implements(ISkeletonCustomer, ICustomerNavigation)
-    grok.provides(ISkeletonCustomer)
+    grok.implements(IAAUECustomer, ICustomerNavigation)
+    grok.provides(IAAUECustomer)
 
-    form_fields_interface = ISkeletonCustomer
+    form_fields_interface = IAAUECustomer
 
-SkeletonCustomer = attrs_to_fields(SkeletonCustomer)
+AAUECustomer = attrs_to_fields(AAUECustomer)
 
 
-class SkeletonCustomerFactory(grok.GlobalUtility):
+class AAUECustomerFactory(grok.GlobalUtility):
     """A factory for customers.
     """
     grok.implements(IFactory)
     grok.name(u'waeup.Customer')
-    title = u"Create a new skeleton customer.",
-    description = u"This factory instantiates new skeleton customer instances."
+    title = u"Create a new aaue customer.",
+    description = u"This factory instantiates new aaue customer instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonCustomer()
+        return AAUECustomer()
 
     def getInterfaces(self):
-        return implementedBy(SkeletonCustomer)
+        return implementedBy(AAUECustomer)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/documents.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/documents.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/documents.py	(revision 14310)
@@ -25,14 +25,14 @@
 from waeup.ikoba.customers.interfaces import ICustomerNavigation
 from waeup.ikoba.customers.documents import CustomerDocumentBase
-from ikobacustom.skeleton.interfaces import MessageFactory as _
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.aaue.interfaces import MessageFactory as _
+from ikobacustom.aaue.customers.interfaces import IAAUECustomerDocument
 
 
-class SkeletonCustomerDocument(CustomerDocumentBase):
+class AAUECustomerDocument(CustomerDocumentBase):
     """This is a sample customer document.
     """
 
-    grok.implements(ISkeletonCustomerDocument, ICustomerNavigation)
-    grok.provides(ISkeletonCustomerDocument)
+    grok.implements(IAAUECustomerDocument, ICustomerNavigation)
+    grok.provides(IAAUECustomerDocument)
 
     # Ikoba can store any number of files per Document object.
@@ -42,21 +42,21 @@
     filenames = ('sample',)
 
-    form_fields_interface = ISkeletonCustomerDocument
+    form_fields_interface = IAAUECustomerDocument
 
-SkeletonCustomerDocument = attrs_to_fields(SkeletonCustomerDocument)
+AAUECustomerDocument = attrs_to_fields(AAUECustomerDocument)
 
 
 # Customer documents must be importable. So we need a factory.
-class SkeletonCustomerDocumentFactory(grok.GlobalUtility):
+class AAUECustomerDocumentFactory(grok.GlobalUtility):
     """A factory for customer documents.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonCustomerDocument')
+    grok.name(u'waeup.AAUECustomerDocument')
     title = u"Create a new document.",
     description = u"This factory instantiates new sample document instances."
 
     def __call__(self, *args, **kw):
-        return SkeletonCustomerDocument(*args, **kw)
+        return AAUECustomerDocument(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonCustomerDocument)
+        return implementedBy(AAUECustomerDocument)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/export.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/export.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/export.py	(revision 14310)
@@ -16,34 +16,34 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton customer objects and subobjects.
+"""Exporters for aaue customer objects and subobjects.
 """
 import grok
 from waeup.ikoba.customers.export import (
     CustomerExporter, CustomerDocumentExporterBase, ContractExporterBase)
-from ikobacustom.skeleton.customers.interfaces import (
-    ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContractProcess)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.customers.interfaces import (
+    IAAUECustomer, IAAUECustomerDocument, IAAUEContractProcess)
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
-class SkeletonCustomerExporter(CustomerExporter):
+class AAUECustomerExporter(CustomerExporter):
     """Exporter for Customers.
     """
-    iface = ISkeletonCustomer
-    title = _(u'Skeleton Customers')
+    iface = IAAUECustomer
+    title = _(u'AAUE Customers')
 
 
-class SkeletonCustomerDocumentExporter(CustomerDocumentExporterBase):
+class AAUECustomerDocumentExporter(CustomerDocumentExporterBase):
     """Exporter for documents.
     """
-    grok.name('skeletoncustomerdocuments')
-    iface = ISkeletonCustomerDocument
-    title = _(u'Skeleton Customer Documents')
-    class_name = 'SkeletonCustomerDocument'
+    grok.name('aauecustomerdocuments')
+    iface = IAAUECustomerDocument
+    title = _(u'AAUE Customer Documents')
+    class_name = 'AAUECustomerDocument'
 
 
-class SkeletonContractExporter(ContractExporterBase):
+class AAUEContractExporter(ContractExporterBase):
     """Exporter for Contract instances.
     """
-    grok.name('skeletoncontracts')
-    iface = ISkeletonContractProcess
-    title = _(u'Skeleton Customer Contracts')
-    class_name = 'SkeletonContract'
+    grok.name('aauecontracts')
+    iface = IAAUEContractProcess
+    title = _(u'AAUE Customer Contracts')
+    class_name = 'AAUEContract'
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/fileviewlets.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/fileviewlets.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/fileviewlets.py	(revision 14310)
@@ -23,5 +23,5 @@
     FileDisplay, FileUpload, Image)
 
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
+from ikobacustom.aaue.customers.documents import AAUECustomerDocument
 
 from waeup.ikoba.customers.browser import (
@@ -39,5 +39,5 @@
     """
     grok.order(1)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(AAUECustomerDocument)
     grok.view(DocumentManageFormPage)
     grok.require('waeup.manageCustomer')
@@ -61,5 +61,5 @@
     """
     grok.order(1)
-    grok.context(SkeletonCustomerDocument)
+    grok.context(AAUECustomerDocument)
     grok.require('waeup.viewCustomer')
     grok.view(DocumentDisplayFormPage)
@@ -74,5 +74,5 @@
     """
     grok.name('sample')
-    grok.context(SkeletonCustomerDocument)
+    grok.context(AAUECustomerDocument)
     grok.require('waeup.viewCustomer')
     download_name = u'sample'
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/interfaces.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/interfaces.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/interfaces.py	(revision 14310)
@@ -24,8 +24,8 @@
     ConCatProductSource, CustomerDocumentSource)
 from waeup.ikoba.products.productoptions import ProductOptionField
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class ISkeletonCustomer(ICustomer):
+class IAAUECustomer(ICustomer):
     """Representation of a customer.
 
@@ -35,5 +35,5 @@
 
 
-class ISkeletonCustomerDocument(ICustomerDocument):
+class IAAUECustomerDocument(ICustomerDocument):
     """A customer document.
 
@@ -42,5 +42,5 @@
 # Customer contract interfaces
 
-class ISkeletonContract(IContract):
+class IAAUEContract(IContract):
     """A customer contract sample with document attached.
 
@@ -53,5 +53,5 @@
         )
 
-class ISkeletonContractOfficialUse(IIkobaObject):
+class IAAUEContractOfficialUse(IIkobaObject):
     """Interface for editing official use data.
 
@@ -63,5 +63,5 @@
         )
 
-class ISkeletonContractProcess(ISkeletonContract, ISkeletonContractOfficialUse):
+class IAAUEContractProcess(IAAUEContract, IAAUEContractOfficialUse):
     """Interface for processing contract data.
     """
@@ -75,5 +75,5 @@
         )
 
-class ISkeletonContractEdit(ISkeletonContract):
+class IAAUEContractEdit(IAAUEContract):
     """Interface for editing sample contract data by customers.
 
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_browser.py	(revision 14310)
@@ -30,13 +30,13 @@
 from waeup.ikoba.customers.tests.test_batching import CustomerImportExportSetup
 from waeup.ikoba.customers.tests.test_browser import CustomersFullSetup
-from ikobacustom.skeleton.customers.export import (
-    SkeletonCustomerExporter,
-    SkeletonCustomerDocumentExporter,
-    SkeletonContractExporter)
-from ikobacustom.skeleton.customers.batching import (
-    SkeletonCustomerProcessor,
-    SkeletonCustomerDocumentProcessor,
-    SkeletonContractProcessor)
-from ikobacustom.skeleton.testing import FunctionalLayer, samples_dir
+from ikobacustom.aaue.customers.export import (
+    AAUECustomerExporter,
+    AAUECustomerDocumentExporter,
+    AAUEContractExporter)
+from ikobacustom.aaue.customers.batching import (
+    AAUECustomerProcessor,
+    AAUECustomerDocumentProcessor,
+    AAUEContractProcessor)
+from ikobacustom.aaue.testing import FunctionalLayer, samples_dir
 
 SAMPLE_IMAGE = os.path.join(os.path.dirname(__file__), 'test_image.jpg')
@@ -61,8 +61,8 @@
         IWorkflowState(customer).setState('started')
         self.app['customers'].addCustomer(customer)
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.AAUECustomerDocument')
         document.title = u'My first document'
         customer['documents'].addDocument(document)
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.AAUEContract')
         contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
@@ -77,5 +77,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerExporter()
+        exporter = AAUECustomerExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -85,5 +85,5 @@
             'K1000000,aa@aa.aa,Beate,Mueller,,,123,f,0,,,started,[]\r\n')
         # We can reimport the file ...
-        processor = SkeletonCustomerProcessor()
+        processor = AAUECustomerProcessor()
         result = processor.doImport(
             self.outfile,
@@ -118,18 +118,18 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonCustomerDocumentExporter()
+        exporter = AAUECustomerDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
         self.assertMatches(result,
             'class_name,document_id,history,state,title,user_id\r\n'
-            'SkeletonCustomerDocument,%s,'
+            'AAUECustomerDocument,%s,'
             '[u\'2014-12-21 17:00:36 WAT - Document created by system\'],'
             'created,My first document,K1000000\r\n'
             % self.document.document_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonCustomerDocumentProcessor()
+        processor = AAUECustomerDocumentProcessor()
         open(self.outfile, 'wb').write(
             'customer_id,class_name,document_id,state,title\r\n'
-            'K1000000,SkeletonCustomerDocument,%s,started,My first title\r\n'
+            'K1000000,AAUECustomerDocument,%s,started,My first title\r\n'
             % self.document.document_id)
         result = processor.doImport(
@@ -162,5 +162,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonContractExporter()
+        exporter = AAUEContractExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -169,15 +169,15 @@
             'fee_based,history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id,valid_from,valid_to\r\n'
-            'SkeletonContract,,sample,%s,,0,'
+            'AAUEContract,,sample,%s,,0,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000,,\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = SkeletonContractProcessor()
+        processor = AAUEContractProcessor()
         open(self.outfile, 'wb').write(
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'SkeletonContract,sample,%s,,'
+            'AAUEContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
@@ -221,6 +221,6 @@
     def setup_customizable_params(self):
         self._contract_category = u'sample'
-        self._document_factory = 'waeup.SkeletonCustomerDocument'
-        self._contract_factory = 'waeup.SkeletonContract'
+        self._document_factory = 'waeup.AAUECustomerDocument'
+        self._contract_factory = 'waeup.AAUEContract'
         return
 
@@ -304,6 +304,6 @@
     def setup_customizable_params(self):
         self._contract_category = u'sample'
-        self._document_factory = 'waeup.SkeletonCustomerDocument'
-        self._contract_factory = 'waeup.SkeletonContract'
+        self._document_factory = 'waeup.AAUECustomerDocument'
+        self._contract_factory = 'waeup.AAUEContract'
         return
 
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/tests/test_contract.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_contract.py	(revision 14310)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.contracts import ContractsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.contracts import SkeletonContract
-from ikobacustom.skeleton.customers.interfaces import ISkeletonContract
+from ikobacustom.aaue.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.aaue.customers.contracts import AAUEContract
+from ikobacustom.aaue.customers.interfaces import IAAUEContract
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonContract, SkeletonContract)
-        verify.verifyClass(ICustomerNavigation, SkeletonContract)
-        verify.verifyObject(ISkeletonContract, SkeletonContract())
-        verify.verifyObject(ICustomerNavigation, SkeletonContract())
+        verify.verifyClass(IAAUEContract, AAUEContract)
+        verify.verifyClass(ICustomerNavigation, AAUEContract)
+        verify.verifyObject(IAAUEContract, AAUEContract())
+        verify.verifyObject(ICustomerNavigation, AAUEContract())
         return
 
     def test_addContract(self):
         container = ContractsContainer()
-        contract = createObject(u'waeup.SkeletonContract')
+        contract = createObject(u'waeup.AAUEContract')
         id = contract.contract_id
         container.addContract(contract)
         self.assertEqual(container[id], contract)
         self.assertRaises(TypeError, container.addContract, object())
-        self.assertEqual(contract.class_name, 'SkeletonContract')
+        self.assertEqual(contract.class_name, 'AAUEContract')
         return
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_customer.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/tests/test_customer.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_customer.py	(revision 14310)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton customers.
+Tests for aaue customers.
 """
 import tempfile
@@ -30,14 +30,14 @@
 from waeup.ikoba.customers.container import CustomersContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.customer import SkeletonCustomer
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomer
+from ikobacustom.aaue.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.aaue.customers.customer import AAUECustomer
+from ikobacustom.aaue.customers.interfaces import IAAUECustomer
 
-class SkeletonCustomerTestCase(FunctionalTestCase):
+class AAUECustomerTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(SkeletonCustomerTestCase, self).setUp()
+        super(AAUECustomerTestCase, self).setUp()
 
         # Prepopulate ZODB
@@ -52,13 +52,13 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomer, SkeletonCustomer)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomer)
-        verify.verifyObject(ISkeletonCustomer, SkeletonCustomer())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomer())
+        verify.verifyClass(IAAUECustomer, AAUECustomer)
+        verify.verifyClass(ICustomerNavigation, AAUECustomer)
+        verify.verifyObject(IAAUECustomer, AAUECustomer())
+        verify.verifyObject(ICustomerNavigation, AAUECustomer())
         return
 
-    def test_addSkeletonCustomer(self):
+    def test_addAAUECustomer(self):
         customer = createObject(u'waeup.Customer')
-        verify.verifyObject(ISkeletonCustomer, customer)
+        verify.verifyObject(IAAUECustomer, customer)
         self.app['customers'].addCustomer(customer)
         self.assertEqual(customer.customer_id, 'K1000000')
@@ -68,4 +68,4 @@
     def tearDown(self):
         shutil.rmtree(self.dc_root)
-        super(SkeletonCustomerTestCase, self).tearDown()
+        super(AAUECustomerTestCase, self).tearDown()
         return
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_document.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/tests/test_document.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/tests/test_document.py	(revision 14310)
@@ -28,7 +28,7 @@
 from waeup.ikoba.customers.documents import CustomerDocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.customers.documents import SkeletonCustomerDocument
-from ikobacustom.skeleton.customers.interfaces import ISkeletonCustomerDocument
+from ikobacustom.aaue.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.aaue.customers.documents import AAUECustomerDocument
+from ikobacustom.aaue.customers.interfaces import IAAUECustomerDocument
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(ISkeletonCustomerDocument, SkeletonCustomerDocument)
-        verify.verifyClass(ICustomerNavigation, SkeletonCustomerDocument)
-        verify.verifyObject(ISkeletonCustomerDocument, SkeletonCustomerDocument())
-        verify.verifyObject(ICustomerNavigation, SkeletonCustomerDocument())
+        verify.verifyClass(IAAUECustomerDocument, AAUECustomerDocument)
+        verify.verifyClass(ICustomerNavigation, AAUECustomerDocument)
+        verify.verifyObject(IAAUECustomerDocument, AAUECustomerDocument())
+        verify.verifyObject(ICustomerNavigation, AAUECustomerDocument())
         return
 
     def test_addDocument(self):
         container = CustomerDocumentsContainer()
-        document = createObject(u'waeup.SkeletonCustomerDocument')
+        document = createObject(u'waeup.AAUECustomerDocument')
         id = document.document_id
         container.addDocument(document)
         self.assertEqual(container[id], document)
         self.assertRaises(TypeError, container.addDocument, object())
-        self.assertEqual(document.class_name, 'SkeletonCustomerDocument')
+        self.assertEqual(document.class_name, 'AAUECustomerDocument')
         return
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/utils.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/customers/utils.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/customers/utils.py	(revision 14310)
@@ -25,7 +25,7 @@
     SUBMITTED, VERIFIED, REJECTED,
     EXPIRED, PROVISIONALLY)
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
-class SkeletonCustomersUtils(CustomersUtils):
+class AAUECustomersUtils(CustomersUtils):
     """A collection of methods subject to customization.
     """
@@ -47,5 +47,5 @@
         #'CustomerPDFDocument': _('PDF Document'),
 
-        'SkeletonCustomerDocument': _('Skeleton Document'),
+        'AAUECustomerDocument': _('AAUE Document'),
         }
 
@@ -53,5 +53,5 @@
         #'SampleContract': _('Sample Contract'),
 
-        'SkeletonContract': _('Skeleton Contract'),
+        'AAUEContract': _('AAUE Contract'),
         }
 
@@ -62,4 +62,4 @@
     EXPORTER_NAMES = (
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'aauecustomerdocuments',
+        'aauecontracts')
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/__init__.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/__init__.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/__init__.py	(revision 14310)
@@ -2,7 +2,7 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.documents.document import SkeletonDocument
+from ikobacustom.aaue.documents.document import AAUEDocument
 
 __all__ = [
-    'SkeletonDocument',
+    'AAUEDocument',
     ]
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/batching.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/batching.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/batching.py	(revision 14310)
@@ -16,20 +16,20 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton documents.
+"""Batch processing for aaue documents.
 """
 import grok
 from waeup.ikoba.documents.batching import DocumentProcessorBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.documents.interfaces import IAAUEDocument
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentProcessor(DocumentProcessorBase):
-    """A batch processor for ISkeletonDocument objects.
+class AAUEDocumentProcessor(DocumentProcessorBase):
+    """A batch processor for IAAUEDocument objects.
     """
-    util_name = 'skeletondocumentprocessor'
+    util_name = 'aauedocumentprocessor'
     grok.name(util_name)
 
-    name = _('Skeleton Document Processor')
-    iface = ISkeletonDocument
+    name = _('AAUE Document Processor')
+    iface = IAAUEDocument
 
-    factory_name = 'waeup.SkeletonDocument'
+    factory_name = 'waeup.AAUEDocument'
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/document.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/document.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/document.py	(revision 14310)
@@ -24,30 +24,30 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.documents.document import PublicDocumentBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.documents.interfaces import IAAUEDocument
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonDocument(PublicDocumentBase):
+class AAUEDocument(PublicDocumentBase):
     """This is a document.
     """
-    grok.implements(ISkeletonDocument)
-    grok.provides(ISkeletonDocument)
+    grok.implements(IAAUEDocument)
+    grok.provides(IAAUEDocument)
 
-    form_fields_interface = ISkeletonDocument
+    form_fields_interface = IAAUEDocument
 
-SkeletonDocument = attrs_to_fields(SkeletonDocument)
+AAUEDocument = attrs_to_fields(AAUEDocument)
 
 
-class SkeletonDocumentFactory(grok.GlobalUtility):
+class AAUEDocumentFactory(grok.GlobalUtility):
     """A factory for documents.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.SkeletonDocument')
+    grok.name(u'waeup.AAUEDocument')
     title = u"Create a new document.",
-    description = u"This factory instantiates new skeleton documents."
+    description = u"This factory instantiates new aaue documents."
 
     def __call__(self, *args, **kw):
-        return SkeletonDocument(*args, **kw)
+        return AAUEDocument(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonDocument)
+        return implementedBy(AAUEDocument)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/export.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/export.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/export.py	(revision 14310)
@@ -16,17 +16,17 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton documents.
+"""Exporters for aaue documents.
 """
 import grok
 from waeup.ikoba.documents.export import DocumentExporterBase
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.documents.interfaces import IAAUEDocument
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentExporter(DocumentExporterBase):
+class AAUEDocumentExporter(DocumentExporterBase):
     """Exporter for documents.
     """
-    grok.name('skeletondocuments')
-    iface = ISkeletonDocument
-    class_name = 'SkeletonDocument'
-    title = _(u'Skeleton Documents')
+    grok.name('aauedocuments')
+    iface = IAAUEDocument
+    class_name = 'AAUEDocument'
+    title = _(u'AAUE Documents')
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/interfaces.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/interfaces.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/interfaces.py	(revision 14310)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.documents.interfaces import IPublicDocument
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class ISkeletonDocument(IPublicDocument):
-    """A representation of a skeleton document.
+class IAAUEDocument(IPublicDocument):
+    """A representation of a aaue document.
 
     """
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/tests/test_browser.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/tests/test_browser.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/tests/test_browser.py	(revision 14310)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.documents.tests.test_batching import DocumentImportExportSetup
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.export import SkeletonDocumentExporter
-from ikobacustom.skeleton.documents.batching import SkeletonDocumentProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.aaue.documents.document import AAUEDocument
+from ikobacustom.aaue.documents.export import AAUEDocumentExporter
+from ikobacustom.aaue.documents.batching import AAUEDocumentProcessor
+from ikobacustom.aaue.testing import FunctionalLayer
 
 
@@ -38,5 +38,5 @@
 
     def setup_for_export(self):
-        document = SkeletonDocument()
+        document = AAUEDocument()
         document.document_id = u'DOC1'
         document.title = u'My first document'
@@ -49,5 +49,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonDocumentExporter()
+        exporter = AAUEDocumentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -55,9 +55,9 @@
             'class_name,description,document_id,history,state,title,'
             'users_with_local_roles\r\n'
-            'SkeletonDocument,,DOC1,'
+            'AAUEDocument,,DOC1,'
             '[u\'2014-12-21 23:27:15 WAT - Document created by system\'],'
             'created,My first document,[]\r\n')
         # We can import the same file.
-        processor = SkeletonDocumentProcessor()
+        processor = AAUEDocumentProcessor()
         result = processor.doImport(
             self.outfile,
@@ -79,5 +79,5 @@
         self.assertEqual(num_fail,0)
         # We can import the same file in update mode.
-        processor = SkeletonDocumentProcessor()
+        processor = AAUEDocumentProcessor()
         result = processor.doImport(
             self.outfile,
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/tests/test_document.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/tests/test_document.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/tests/test_document.py	(revision 14310)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton documents.
+Tests for aaue documents.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -23,9 +23,9 @@
 from waeup.ikoba.documents.container import DocumentsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.documents.document import SkeletonDocument
-from ikobacustom.skeleton.documents.interfaces import ISkeletonDocument
+from ikobacustom.aaue.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.aaue.documents.document import AAUEDocument
+from ikobacustom.aaue.documents.interfaces import IAAUEDocument
 
-class SkeletonDocumentTestCase(FunctionalTestCase):
+class AAUEDocumentTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
@@ -35,15 +35,15 @@
         self.assertTrue(
             verifyClass(
-                ISkeletonDocument, SkeletonDocument)
+                IAAUEDocument, AAUEDocument)
             )
         self.assertTrue(
             verifyObject(
-                ISkeletonDocument, SkeletonDocument())
+                IAAUEDocument, AAUEDocument())
             )
         return
 
-    def test_addSkeletonDocument(self):
+    def test_addAAUEDocument(self):
         container = DocumentsContainer()
-        document = createObject(u'waeup.SkeletonDocument')
+        document = createObject(u'waeup.AAUEDocument')
         document.document_id = u'DOC1'
         container.addDocument(document)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/utils.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/documents/utils.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/documents/utils.py	(revision 14310)
@@ -19,8 +19,8 @@
 """
 from waeup.ikoba.documents.utils import DocumentsUtils
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonDocumentsUtils(DocumentsUtils):
+class AAUEDocumentsUtils(DocumentsUtils):
     """A collection of methods subject to customization.
     """
@@ -30,5 +30,5 @@
         'HTMLDocument': _('HTML Document'),
         'RESTDocument': _('REST Document'),
-        'SkeletonDocument': _('Skeleton Document'),
+        'AAUEDocument': _('AAUE Document'),
         }
 
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/ftesting.zcml
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/ftesting.zcml	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/ftesting.zcml	(revision 14310)
@@ -2,11 +2,11 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:ikoba="http://namespaces.waeup.org/ikoba"
-   i18n_domain="ikobacustom.skeleton"
-   package="ikobacustom.skeleton"
+   i18n_domain="ikobacustom.aaue"
+   package="ikobacustom.aaue"
    >
 
   <include package="grok" />
-  <includeOverrides package="ikobacustom.skeleton" />
-  <include package="ikobacustom.skeleton" file="mail.zcml" />
+  <includeOverrides package="ikobacustom.aaue" />
+  <include package="ikobacustom.aaue" file="mail.zcml" />
 
   <!-- Where should the datacenter reside by default?
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/interfaces.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/interfaces.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/interfaces.py	(revision 14310)
@@ -20,7 +20,7 @@
 from zope import schema
 from zc.sourcefactory.basic import BasicSourceFactory
-from ikobacustom.skeleton.utils.lgas import LGAS
+from ikobacustom.aaue.utils.lgas import LGAS
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.skeleton')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('ikobacustom.aaue')
 
 
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/__init__.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/__init__.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/__init__.py	(revision 14310)
@@ -2,7 +2,7 @@
 """
 # Make this a package.
-from ikobacustom.skeleton.products.product import SkeletonProduct
+from ikobacustom.aaue.products.product import AAUEProduct
 
 __all__ = [
-    'SkeletonProduct',
+    'AAUEProduct',
     ]
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/batching.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/batching.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/batching.py	(revision 14310)
@@ -16,15 +16,15 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Batch processing for skeleton products.
+"""Batch processing for aaue products.
 """
 import grok
 from waeup.ikoba.products.batching import ProductProcessor
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.products.interfaces import IAAUEProduct
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
-class SkeletonProductProcessor(ProductProcessor):
+class AAUEProductProcessor(ProductProcessor):
 
-    iface = ISkeletonProduct
-    name = _('Skeleton Product Processor')
-    util_name = 'skeletonproductprocessor'
+    iface = IAAUEProduct
+    name = _('AAUE Product Processor')
+    util_name = 'aaueproductprocessor'
     grok.name(util_name)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/export.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/export.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/export.py	(revision 14310)
@@ -16,20 +16,20 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Exporters for skeleton products.
+"""Exporters for aaue products.
 """
 import grok
 from waeup.ikoba.utils.helpers import iface_names
 from waeup.ikoba.products.export import ProductExporter
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.products.interfaces import IAAUEProduct
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonProductExporter(ProductExporter):
+class AAUEProductExporter(ProductExporter):
     """Exporter for products.
     """
 
-    fields = tuple(sorted(iface_names(ISkeletonProduct))) + (
+    fields = tuple(sorted(iface_names(IAAUEProduct))) + (
         'users_with_local_roles',)
 
     #: The title under which this exporter will be displayed
-    #title = _(u'Skeleton Products')
+    #title = _(u'AAUE Products')
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/interfaces.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/interfaces.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/interfaces.py	(revision 14310)
@@ -17,9 +17,9 @@
 ##
 from waeup.ikoba.products.interfaces import IProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class ISkeletonProduct(IProduct):
-    """A representation of a skeleton product.
+class IAAUEProduct(IProduct):
+    """A representation of a aaue product.
 
     """
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/product.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/product.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/product.py	(revision 14310)
@@ -24,20 +24,20 @@
 from waeup.ikoba.utils.helpers import attrs_to_fields
 from waeup.ikoba.products.product import Product
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.products.interfaces import IAAUEProduct
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 
-class SkeletonProduct(Product):
+class AAUEProduct(Product):
     """This is a product.
     """
-    grok.implements(ISkeletonProduct)
-    grok.provides(ISkeletonProduct)
+    grok.implements(IAAUEProduct)
+    grok.provides(IAAUEProduct)
 
-    form_fields_interface = ISkeletonProduct
+    form_fields_interface = IAAUEProduct
 
-SkeletonProduct = attrs_to_fields(SkeletonProduct)
+AAUEProduct = attrs_to_fields(AAUEProduct)
 
 
-class SkeletonProductFactory(grok.GlobalUtility):
+class AAUEProductFactory(grok.GlobalUtility):
     """A factory for products.
     """
@@ -45,9 +45,9 @@
     grok.name(u'waeup.Product')
     title = u"Create a new product.",
-    description = u"This factory instantiates new skeleton products."
+    description = u"This factory instantiates new aaue products."
 
     def __call__(self, *args, **kw):
-        return SkeletonProduct(*args, **kw)
+        return AAUEProduct(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SkeletonProduct)
+        return implementedBy(AAUEProduct)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/tests/test_browser.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/tests/test_browser.py	(revision 14310)
@@ -27,8 +27,8 @@
 from zope.interface.verify import verifyObject, verifyClass
 from waeup.ikoba.products.tests.test_batching import ProductImportExportSetup
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.export import SkeletonProductExporter
-from ikobacustom.skeleton.products.batching import SkeletonProductProcessor
-from ikobacustom.skeleton.testing import FunctionalLayer
+from ikobacustom.aaue.products.product import AAUEProduct
+from ikobacustom.aaue.products.export import AAUEProductExporter
+from ikobacustom.aaue.products.batching import AAUEProductProcessor
+from ikobacustom.aaue.testing import FunctionalLayer
 
 
@@ -38,5 +38,5 @@
 
     def setup_for_export(self):
-        product = SkeletonProduct()
+        product = AAUEProduct()
         product.product_id = u'SAM'
         product.contract_category = u'sample'
@@ -50,5 +50,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = SkeletonProductExporter()
+        exporter = AAUEProductExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -59,5 +59,5 @@
             'sample,,,[],SAM,,Unnamed,2015-12-04#,,[]\r\n')
         # We can import the same file.
-        processor = SkeletonProductProcessor()
+        processor = AAUEProductProcessor()
         result = processor.doImport(
             self.outfile,
@@ -81,5 +81,5 @@
         self.assertEqual(num_fail,0)
         # We can import the same file in update mode.
-        processor = SkeletonProductProcessor()
+        processor = AAUEProductProcessor()
         result = processor.doImport(
             self.outfile,
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/tests/test_product.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/products/tests/test_product.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/products/tests/test_product.py	(revision 14310)
@@ -17,5 +17,5 @@
 ##
 """
-Tests for skeleton products.
+Tests for aaue products.
 """
 from zope.interface.verify import verifyClass, verifyObject
@@ -24,9 +24,9 @@
 from waeup.ikoba.products.container import ProductsContainer
 
-from ikobacustom.skeleton.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.skeleton.products.product import SkeletonProduct
-from ikobacustom.skeleton.products.interfaces import ISkeletonProduct
+from ikobacustom.aaue.testing import (FunctionalLayer, FunctionalTestCase)
+from ikobacustom.aaue.products.product import AAUEProduct
+from ikobacustom.aaue.products.interfaces import IAAUEProduct
 
-class SkeletonProductTestCase(FunctionalTestCase):
+class AAUEProductTestCase(FunctionalTestCase):
 
     layer = FunctionalLayer
@@ -36,13 +36,13 @@
         self.assertTrue(
             verifyClass(
-                ISkeletonProduct, SkeletonProduct)
+                IAAUEProduct, AAUEProduct)
             )
         self.assertTrue(
             verifyObject(
-                ISkeletonProduct, SkeletonProduct())
+                IAAUEProduct, AAUEProduct())
             )
         return
 
-    def test_addSkeletonProduct(self):
+    def test_addAAUEProduct(self):
         container = ProductsContainer()
         product = createObject(u'waeup.Product')
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/testing.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/testing.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/testing.py	(revision 14310)
@@ -20,11 +20,11 @@
 import os
 import tempfile
-import ikobacustom.skeleton
+import ikobacustom.aaue
 from zope.app.testing.functional import ZCMLLayer
 from waeup.ikoba.testing import FunctionalTestCase
 
-# Some funcional layer that groks ikobacustom.skeleton.
+# Some funcional layer that groks ikobacustom.aaue.
 ftesting_zcml = os.path.join(
-    os.path.dirname(ikobacustom.skeleton.__file__), 'ftesting.zcml')
+    os.path.dirname(ikobacustom.aaue.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
@@ -34,5 +34,5 @@
     # and return its path.
     tmp_dir = os.path.join(
-        tempfile.gettempdir(), 'ikobacustom.skeleton.pdf-samples')
+        tempfile.gettempdir(), 'ikobacustom.aaue.pdf-samples')
     if not os.path.exists(tmp_dir):
         os.mkdir(tmp_dir)
Index: main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/utils/utils.py
===================================================================
--- main/ikobacustom.aaue/trunk/src/ikobacustom/skeleton/utils/utils.py	(revision 14309)
+++ main/ikobacustom.aaue/trunk/src/ikobacustom/aaue/utils/utils.py	(revision 14310)
@@ -20,5 +20,5 @@
 import pytz
 from waeup.ikoba.utils.utils import IkobaUtils, sorted_phone_prefixes
-from ikobacustom.skeleton.interfaces import MessageFactory as _
+from ikobacustom.aaue.interfaces import MessageFactory as _
 
 INT_PHONE_PREFIXES = [
@@ -33,5 +33,5 @@
     ]
 
-class SkeletonIkobaUtils(IkobaUtils):
+class AAUEIkobaUtils(IkobaUtils):
     """A collection of methods subject to customization.
     """
@@ -66,12 +66,12 @@
         'products',
         'customers',
-        'skeletoncustomerdocuments',
-        'skeletoncontracts')
+        'aauecustomerdocuments',
+        'aauecontracts')
 
     BATCH_PROCESSOR_NAMES = (
-        'skeletoncustomerprocessor',
-        'skeletoncustomerdocumentprocessor',
-        'skeletoncontractprocessor',
-        'skeletonproductprocessor',
+        'aauecustomerprocessor',
+        'aauecustomerdocumentprocessor',
+        'aauecontractprocessor',
+        'aaueproductprocessor',
         'pdfdocumentprocessor',
         'htmldocumentprocessor',
